%define name    civil
%define Name    Civil
%define version	0.81
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Civil is a game that simulates battles in the American Civil War
License:	GPL
Group:		Games/Strategy
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
URL:		http://civil.sourceforge.net
Requires:	SDL >= 1.2
Requires:	python >= 2.1
Requires:	pygame >= 1.5.3
Requires:	%{name}-graphics = %{version}
Requires:	%{name}-sounds = %{version}
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
Civil is a game that simulates battles in the American Civil War. It is 
playable by two players over a network. Civil aims to be able to recreate
battles in great detail.

%package graphics
Summary:	Civil graphics
Group:		Games/Strategy
Requires:	%{name} = %{version}

%description graphics
Graphics for Civil, a simulation of the American Civil War.

%package sounds
Summary:	Civil sounds
Group:		Games/Strategy
Requires:	%{name} = %{version}

%description sounds
Sounds for Civil, a simulation of the American Civil War.

%package scenarios
Summary:	Civil sample scenarios
Group:		Games/Strategy
Requires:	%{name} = %{version}

%description scenarios
Some example scenarios for Civil, a simulation of the American Civil
War.

%package editor
Summary:	Civil scenario editor
Group:		Games/Strategy
Requires:	%{name} = %{version}
Requires:	python-PQueue

%description editor
Scenario editor for civil, a simulation of the American Civil War.

%prep
rm -rf $RPM_BUILD_ROOT 
%setup
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
# fix perms
for file in AUTHORS BUGS ChangeLog INSTALL LICENSE README TODO; do
	chmod 644 $file; 
done

%build
%configure --with-python=python
%make

%install
%makeinstall_std
# icons
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/%{name}"\\
	needs="X11"\\
	section="Amusement/Strategy"\\
	icon="%{name}.png"\\
	title="%{Name}"\\
	longtitle="%{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT 

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog INSTALL LICENSE README TODO
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-ai
%{_gamesbindir}/%{name}-lounge
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/src
%{_gamesdatadir}/%{name}/doc
%{_mandir}/man6/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files graphics
%defattr(-,root,root)
%{_gamesdatadir}/%{name}/fonts
%{_gamesdatadir}/%{name}/gfx

%files sounds
%defattr(-,root,root)
%{_gamesdatadir}/%{name}/sound

%files scenarios
%defattr(-,root,root)
%{_gamesdatadir}/%{name}/scenarios

%files editor
%defattr(-,root,root)
%{_gamesbindir}/%{name}-editor

%changelog
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.81-2mdk
- rebuild

* Mon Sep 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.81-1mdk  
- 0.8.1
- splitted package to takes cares of poor guys with low bandwidth
- fixed missing doc files

* Wed Sep 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.80-3mdk  
- require pygame >= 1.5.3 
- menu entry

* Sat Aug 31 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.80-2mdk  
- scenario included in main package
- included missing fonts
- requires python-PQueue

* Sat Aug 31 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.80-1mdk
- first mdk release

